# Copyright (C) 2010-2015 by Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>
# Copyright (C) 2010-2015 by Heinz-M. Graesing <heinz-m.graesing@obviously-nice.de>

# X2Go Admin Server is free software; you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

# X2Go Admin Server is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>
# or write to
# Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

use Config::Simple;
package x2goadminserver;
use strict;

my $Config = new Config::Simple(syntax=>'ini');
$Config->read('/etc/x2go/x2goadminserver.conf' ) or die "Could not be read: /etc/x2go/x2goadminserver.conf";
my $backend=$Config->param("backend");
use lib "/usr/lib/x2go";


if($backend eq "cipux" )
{
	eval "use x2goadminserver_backend_cipux"; die $@ if $@;
}

if($backend eq "x2goldap" )
{
	eval "use x2goadminserver_backend_ldap"; die $@ if $@;
}

use base 'Exporter';
our @EXPORT=('x2goadmin_getUsers','x2goadmin_getGroups', 'x2goadmin_getGroupsOfUser','x2goadmin_getGroupsWithUsers',
             'x2goadmin_modifyUser', 'x2goadmin_addUser','x2goadmin_modifyGroup',
             'x2goadmin_addGroup' ,'x2goadmin_removeUsers','x2goadmin_removeGroups',
             'x2goadmin_getSessions', 'x2goadmin_suspendSession', 'x2goadmin_terminateSession');

print "sessions:";
getSessions();
print "ok";

sub x2goadmin_getSessions {
	return getSessions(@_);
}

sub x2goadmin_suspendSession {
	return suspendSession(@_);
}

sub x2goadmin_terminateSession {
	return terminateSession(@_);
}


sub x2goadmin_getUsers {
	return getUsers(@_);
}

sub x2goadmin_getGroups {
	return getGroups(@_);
}

sub x2goadmin_getGroupsWithUsers {
	return getGroupsWithUsers(@_);
}

sub x2goadmin_getGroupsOfUser {
	return getGroupsOfUser(@_);
}

sub x2goadmin_modifyUser {
	return modifyUser(@_);
}

sub x2goadmin_modifyGroup {
	return modifyGroup(@_);
}

sub x2goadmin_addGroup {
	return addGroup(@_);
}

sub x2goadmin_addUser {
	return addUser(@_);
}

sub x2goadmin_removeUsers {
	return removeUsers(@_);
}

sub x2goadmin_removeGroups {
	return removeGroups(@_);
}
